Subject: Re: [linux-next/mainline][bisected 3acac06][ppc] Oops when unloading mpt3sas driver

From: Christoph Hellwig <[email-masked]>
Date: Thu, 9 Jan 2020 06:22:18 -0800

On Thu, Jan 09, 2020 at 02:27:25PM +0530, Abdul Haleem wrote:
> + CC Christoph Hellwig

The only thing this commit changed for the dma coherent case (which
ppc64 uses) is that we now look up the page to free by the DMA address
instead of the virtual address passed in.  Which suggests this call
stack passes in a broken dma address.  I suspect we somehow managed
to disable the ppc iommu bypass mode after allocating memory, which
would cause symptoms like this, and thus the commit is just exposing
a pre-existing problem.